package com.ruoyi.cs.service;

import java.util.List;
import com.ruoyi.cs.domain.CsCompany;

/**
 * 单位信息Service接口
 *
 * @author ruoyi
 * @date 2024-05-31
 */
public interface ICsCompanyService
{
    /**
     * 查询单位信息
     *
     * @param companyId 单位信息主键
     * @return 单位信息
     */
    public CsCompany selectCsCompanyByCompanyId(String companyId);

    /**
     * 查询单位信息列表
     *
     * @param csCompany 单位信息
     * @return 单位信息集合
     */
    public List<CsCompany> selectCsCompanyList(CsCompany csCompany);

    /**
     * 新增单位信息
     *
     * @param csCompany 单位信息
     * @return 结果
     */
    public int insertCsCompany(CsCompany csCompany);

    /**
     * 修改单位信息
     *
     * @param csCompany 单位信息
     * @return 结果
     */
    public int updateCsCompany(CsCompany csCompany);

    /**
     * 批量删除单位信息
     *
     * @param companyIds 需要删除的单位信息主键集合
     * @return 结果
     */
    public int deleteCsCompanyByCompanyIds(String[] companyIds);

    /**
     * 删除单位信息信息
     *
     * @param companyId 单位信息主键
     * @return 结果
     */
    public int deleteCsCompanyByCompanyId(String companyId);

    /**
     * 查询单位信息列表
     *
     * @param csCompany 单位信息
     * @return 单位信息集合
     */
    public List<CsCompany> selectCompanyInfoList(CsCompany csCompany);
}
